### A free/open-source library for quantitative finance

Public Types | Public Member Functions
CzechRepublic Class Reference
Calendars

Czech calendars. More...

`#include <ql/time/calendars/czechrepublic.hpp>`

Inheritance diagram for CzechRepublic:
[legend]

List of all members.

## Public Types

enum | Market { PSE }

## Public Member Functions

| CzechRepublic (Market m=PSE)

## Detailed Description

Czech calendars.

Holidays for the Prague stock exchange (see http://www.pse.cz/):

- Saturdays
- Sundays
- New Year's Day, January 1st
- Easter Monday
- Labour Day, May 1st
- Liberation Day, May 8th
- SS. Cyril and Methodius, July 5th
- Jan Hus Day, July 6th
- Czech Statehood Day, September 28th
- Independence Day, October 28th
- Struggle for Freedom and Democracy Day, November 17th
- Christmas Eve, December 24th
- Christmas, December 25th
- St. Stephen, December 26th

## Member Enumeration Documentation

enum Market

Enumerator:

  PSE | Prague stock exchange.